This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 475322 - Review Request: genus2reduction - Computes Reductions of Genus 2 Proper Smooth Curves
Review Request: genus2reduction - Computes Reductions of Genus 2 Proper Smoot...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alex Lancaster
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-08 16:15 EST by Conrad Meyer
Modified: 2009-03-20 02:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-20 02:20:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
alexl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Conrad Meyer 2008-12-08 16:15:14 EST
Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/genus2reduction.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SRPMS/genus2reduction-0.3-1.fc9.src.rpm
Description:
Determines the reduction of a proper smooth curve of genus 2 at any
prime number p.
Comment 1 Rex Dieter 2008-12-11 14:56:38 EST
Scratch build:
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=993876
Comment 3 Alex Lancaster 2009-02-19 04:51:48 EST
Here is the review:

If the license is ok with spot, then I can approve this.

 +:ok, =:needs attention, -:needs fixing, N/A =: not applicable

MUST Items:
[x] MUST: rpmlint must be run on every package.
# rpmlint genus2reduction-0.3-2.fc11.i586.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# rpmlint genus2reduction-0.3-2.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[x] MUST: The package must be named according to the Package Naming Guidelines.
[x] MUST: The spec file name must match the base package %{name}
[x] MUST: The package must meet the Packaging Guidelines. 
[-] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
The .mbox file has the correspondence with the license, which isn't very satisfactory.  Is it supposed to be GNU GPL v2 +.
Let's see if we can't get a more definitive statement.
[-] MUST: The License field in the package spec file must match the actual license.
see above
[N/A] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[x] MUST: The spec file must be written in American English.
[x] MUST: The spec file for the package MUST be legible.
[x] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
 md5sum genus2reduction-0.3.tar.gz /home/alex/rpmbuild/SOURCES/genus2reduction-0.3.tar.gz 
46a5816f6c60edc8b3d047aa24a9f99e  genus2reduction-0.3.tar.gz
46a5816f6c60edc8b3d047aa24a9f99e  rpmbuild/SOURCES/genus2reduction-0.3.tar.gz
[x] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
koji build for rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1139057
[N/A] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[x] MUST: All build dependencies must be listed in BuildRequires
[N/A] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro.
[x] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[N/A] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[x] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[x] MUST: A package must not contain any duplicate files in the %files listing.
[x] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[x] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[x] MUST: The package must contain code, or permissible content. This is described in detail in the code vs. content section of Packaging Guidelines.
[x] MUST: Large documentation files should go in a doc subpackage.
[x] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[N/A] MUST: Header files must be in a -devel package.
[N/A] MUST: Static libraries must be in a -static package.
[N/A] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[N/A] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[N/A] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
[N/A] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[N/A] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[x] MUST: Packages must not own files or directories already owned by other packages.
[x] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[-] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
check this, probably not possible since upstream is dead (although the package is being maintained by SAGE devs)
[x] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[x] SHOULD: The reviewer should test that the package builds in mock.
[x] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[x] SHOULD: The reviewer should test that the package functions as described.
[N/A] SHOULD: If scriptlets are used, those scriptlets must be sane.
[N/A] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[N/A] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[N/A] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[x] SHOULD: Packages should try to preserve timestamps of original installed files.
Comment 4 Conrad Meyer 2009-02-23 05:14:22 EST
Looks like the only concern is making sure legal is ok with the license. Is that right, Alex? I've already talked to upstream (sort of; Sage upstream anyways) about the license quite a bit but they don't choose to ship a license I believe. (After all, it is a very small library.)
Comment 5 Alex Lancaster 2009-02-23 05:24:18 EST
(In reply to comment #4)
> Looks like the only concern is making sure legal is ok with the license. Is
> that right, Alex? I've already talked to upstream (sort of; Sage upstream
> anyways) about the license quite a bit but they don't choose to ship a license
> I believe. (After all, it is a very small library.)


Yep, that's the only (minor) issue.  Somebody posted a link to more recent e-mail correspondence on #fedora-devel:

http://lists.pardus.org.tr/paketler-commits/2008-January/042349.html

that seemed to indicate GPLv2 (no "+").
Comment 6 Tom "spot" Callaway 2009-03-12 11:22:21 EDT
Yeah. Based on that thread, I'd say "GPLv2" is appropriate, not GPLv2+. Please include a copy of the email from the URL posted in comment #5.

Lifting FE-Legal.
Comment 8 Conrad Meyer 2009-03-13 01:29:59 EDT
Sorry, the SRPM is:
http://konradm.fedorapeople.org/fedora/SRPMS/genus2reduction-0.3-3.fc10.src.rpm
Comment 9 Alex Lancaster 2009-03-13 05:05:08 EDT
(In reply to comment #8)
> Sorry, the SRPM is:
> http://konradm.fedorapeople.org/fedora/SRPMS/genus2reduction-0.3-3.fc10.src.rpm  

Looks good, and legal has approved, so I'm marking this as:

APPROVED.

Only please fix the License tag to be "GPLv2" not "GPLv2+" as noted by spot in comment #6 before checking in the package.
Comment 10 Conrad Meyer 2009-03-18 23:56:43 EDT
New Package CVS Request
=======================
Package Name: genus2reduction
Short Description: Computes Reductions of Genus 2 Proper Smooth Curves
Owners: konradm
Branches: F-10
InitialCC:
Comment 11 Kevin Fenzi 2009-03-19 21:49:58 EDT
cvs done.
Comment 12 Conrad Meyer 2009-03-20 02:20:51 EDT
Imported and built in rawhide. Closing.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1250744

Note You need to log in before you can comment on or make changes to this bug.